Package com.fasterxml.jackson.core.util

# Interface JacksonFeature

All Known Subinterfaces:
  `FormatFeature`

All Known Implementing Classes:
  `JsonFactory.Feature`, `JsonReadFeature`, `JsonWriteFeature`, `StreamReadCapability`, `StreamReadFeature`, `StreamWriteCapability`, `StreamWriteFeature`

public interface JacksonFeature
Basic API implemented by Enums used for simple Jackson "features": on/off settings and capabilities exposed as something that can be internally represented as bit sets. Designed to be used with `JacksonFeatureSet`.

Since:
  2.12

## Method Summary

Modifier and Type
Method
Description
`boolean`
`enabledByDefault()`
Accessor for checking whether this feature is enabled by default.
`boolean`
`enabledIn(int flags)`
Convenience method for checking whether feature is enabled in given bitmask.
`int`
`getMask()`
Returns bit mask for this feature instance; must be a single bit, that is of form `1 << N`.

## Method Details

### enabledByDefault

boolean enabledByDefault()
Accessor for checking whether this feature is enabled by default.

Returns:
  Whether this instance is enabled by default or not

### getMask

int getMask()
Returns bit mask for this feature instance; must be a single bit, that is of form `1 << N`.

Returns:
  Bit mask of this feature

### enabledIn

boolean enabledIn(int flags)
Convenience method for checking whether feature is enabled in given bitmask.

Parameters:
  `flags` - Bit field that contains a set of enabled features of this type
Returns:
  True if this feature is enabled in passed bit field